package com.linghu.util;


import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

/**
 * @author linghu 改造了一下工具类
 * @description
 * @date 2023-04-12 09:32
 */
public class BaseXClientUtil {
    /**
     * 创建client连接对象,并获取连接
     */
    public static BaseXClient getClient() throws IOException {
        BaseXClient client = new BaseXClient("localhost", 1984, "admin", "admin");
        return client;
    }

    /**
     * 这个方法的功能是执行XQuery查询
     * @param client
     * @param path
     * @param
     * @return
     */
//    public static String executeQuery(BaseXClient client, String path) {
//        //有调用了getQueryResource这个方法，把Xquery对应文件的路径传入
//        return getQueryResource(path);
//    }


    /**
     *这个方法就是专门处理"xquery/calculate_flow/flow/createCalculateFlow.xqy"
     * @param path "xquery/calculate_flow/flow/createCalculateFlow.xqy",这是指定路径下的Xquery文件
     * @return
     */
    public static String getQueryResource(String path){
        //创建一个 StringBuilder 对象，用于构建返回的字符串。
        StringBuilder stringBuilder = new StringBuilder();
        try {
            /**
             * ClassPathResource专门用来访问类路径上的资源类resource下的文件
             */
            Resource resource = new ClassPathResource(path);
            InputStream resourceAsStream = resource.getInputStream();
            InputStreamReader reader = new InputStreamReader(resourceAsStream, StandardCharsets.UTF_8);
            BufferedReader bufReader = new BufferedReader(reader);
            String strLine = null;
            while ((strLine = bufReader.readLine()) != null) {
                stringBuilder.append(strLine).append("\n");
            }
            bufReader.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return stringBuilder.toString();
    }



}

